## org.jfree.xml.parser.coretypes
Class InsetsReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.InsetsReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class InsetsReadHandler

extends AbstractXmlReadHandler

A reader that can parse the XML element for an `Insets` object.

Constructor Summary
`InsetsReadHandler()` Creates a new read handler.

Method Summary
`java.lang.Object` `getObject()` Returns the object for this element.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Begins parsing.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsetsReadHandler

    public InsetsReadHandler()

  Creates a new read handler.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Begins parsing.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing problem.

### getObject

    public java.lang.Object getObject()
                               throws XmlReaderException

  Returns the object for this element.

  Returns:
    the object.
  Throws:
    `XmlReaderException` - never.